function fig9_15T

% this also has fig9_16T

%  surface/countour plots of surface
% export: expand axis

%  Specify which example to run ifun=1,2
ifun=1

clf
hold on
% get(gcf)
set(gcf,'Position', [34 977 639 368])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

if ifun==1
    nn=20;
    xa=-1.4; xb=1.4; ya=-1.1; yb=2;
    xd=linspace(xa,xb,nn);
    yd=linspace(ya,yb,nn);
    [X,Y]=meshgrid(xd,yd);
    Z=100*(X.^2-Y).^2+(X-1).^2;
    view(125,25)
elseif ifun==2
    nn=20;
    xa=-1; xb=1; ya=-1; yb=1;
    xd=linspace(xa,xb,nn);
    yd=linspace(ya,yb,nn);
    [X,Y]=meshgrid(xd,yd);
    Z=(X-Y).^4+8*X.*Y-X+Y+3;
    view(-25,12)
end

box on
grid on
surfc(X,Y,Z)
H=gca;
H.LineWidth=1;
xlabel('x-axis')
ylabel('y-axis')
set(gca,'FontSize',18,'FontWeight','bold')
hold off




